<?php

declare(strict_types=1);

namespace DokanKits\Dependencies\League\Container\Inflector;

use IteratorAggregate;
use DokanKits\Dependencies\League\Container\ContainerAwareInterface;

interface InflectorAggregateInterface extends ContainerAwareInterface, IteratorAggregate
{
    public function add(string $type, ?callable $callback = null): Inflector;
    public function inflect(object $object);
}
